rem NAME
rem	smptsi73.sql
rem
rem	Copyright (c) 1995 by Oracle Corporation
rem
rem  FUNCTION
rem	Create views and tables for Oracle TopSessions
rem
rem  NOTES
rem	To install the tables/views in this script, the user
rem	must run the script using svrmgrl or sqldba as SYS.
rem     This script must be run in the same directory as
rem	catblock.sql & utlxplan.sql - usually 
rem 		$ORACLE_HOME/sysman/admin/rdbms73 for 7.3 database.
rem
rem  MODIFIED
rem	$Log: /ASGARD/ADMIN/SMPTSI73.SQL $
rem
rem 6     5/15/96 4:45p Pschwart
rem Moved smptsi73 to sysman\admin; added explicit path to called scripts
rem
rem 5     3/26/96 11:26a Vshah
rem Made path changes.
rem
rem 4     11/29/95 8:22p Dstowell
rem Add New log Entry
rem

rem Create the views for monitoring locks 
@catblo73

rem
rem Grant select privilege on views used by
rem Oracle TopSessions
rem
grant select
  on DBA_LOCK
  to PUBLIC;

grant select
  on DBA_WAITERS
  to PUBLIC;

rem
rem Make sure that public synonyms DBA_OBJECTS
rem and V$SQLTEXT exist.
rem
rem For Pre-7.2 releases, CATALOG.SQL did not create
rem these synonyms.
rem
 drop public synonym DBA_OBJECTS;
 create public synonym DBA_OBJECTS for DBA_OBJECTS;

 drop public synonym v$sqltext;
 create public synonym v$sqltext for v_$sqltext;


rem Create the table used for Explain Plan 
@utlxpl73

rem
rem Grant select, insert and privileges on
rem the plan table
rem
grant select, insert, delete
  on PLAN_TABLE
  to PUBLIC;

